import {AUTH_REFRESH_SSO, AUTH_REFRESH_SSO_FAILED, AUTH_REFRESH_SSO_SUCCESS} from "../actions";
import localStorage from 'local-storage';

export default ({dispatch, getState}) => next => action => {
    if (action.type === AUTH_REFRESH_SSO) {
        const loginFail = (err) => {
            console.log("SSO return error");
            console.log(err);
            dispatch({
                type: AUTH_REFRESH_SSO_FAILED,
                payload: err
            });
            if (err.needLogin) {
                window.auth.loginRedirect({}, {
                    startOnSignup: false,
                    service: "cloud-tiering"
                });
            }
        };

        const loginSuccess = (authResult) => {
            console.log("SSO return success");
            console.log(authResult);
            const loginToken = `Bearer ${authResult.accessToken}`;
            console.log(`>>>>>>>>>>>>>>> token:\n${loginToken} token payload:\n${JSON.stringify(authResult.idTokenPayload)}`);
            localStorage.set('auth0LoginToken',loginToken);
            dispatch({
                type: AUTH_REFRESH_SSO_SUCCESS,
                payload: authResult
            });
            //Automatic login
            setTimeout(() => {
                dispatch({
                    type: AUTH_REFRESH_SSO,
                });
            }, authResult.expiresIn * 1000 - 10000);
        };
        window.auth.refreshSso().then(loginSuccess, loginFail);
    }
    return next(action);
}

