import React, {Component} from "react";
import {NavLink} from "react-router-dom";
import {SHOW_TRIAL_INFO} from "../../utils/consts";
import {GET_ACCOUNT_INFO_QUERY} from "../../queries";
import {enforceLicense, getAccountInfoStatus} from "../../utils/utils";
import {withApollo} from 'react-apollo'
import _ from "lodash";

require("./tabHeader.scss");

class TabsHeader extends Component {
    constructor(props, context) {
        super(props, context);
        this.state = {};
    }

    componentDidUpdate() {
        if (!_.has(this.state, 'enforce')) {
            const {accountInfo} = this.props.client.readQuery({query: GET_ACCOUNT_INFO_QUERY});
            const accountInfoStatus = getAccountInfoStatus(accountInfo);
            const enforce = enforceLicense(accountInfoStatus);
            this.setState({enforce});
        }
    }

    render() {
        return (
            <nav className="nav-tabs">
                <ul>
                    {!this.state.enforce &&<li><NavLink to="/clusters" activeClassName="is-active">CLUSTERS DASHBOARD<div className="active-block"></div></NavLink></li>}
                    {this.state.enforce &&<li><div className="disabled">CLUSTERS DASHBOARD</div></li>}
                    {SHOW_TRIAL_INFO && <li><NavLink to="/license" activeClassName="is-active">LICENSING<div className="active-block"></div></NavLink></li>}
                    {/*
                <li><NavLink to="/timeline" activeClassName="is-active">TIMELINE<div className="active-block"></div></NavLink></li>
*/}
                </ul>
            </nav>
        )

    }
}

export default withApollo(TabsHeader);
