import React from 'react';
import Isvg from 'react-inlinesvg';
import {SUBSCRIPTION_URL} from "../../../utils/consts";
require("../../dialog/dialogs.scss");
require("./subscriptionFlowDialog.scss");

const FlowLine = ({icon, title, info}) => {
    return (
        <div className="flow-line">
            <div className="flow-line-icon">{icon}</div>
            <div className="flow-line-content">
                <div className="flow-line-title">{title}</div>
                <div className="flow-line-info">{info}</div>
            </div>
        </div>
    )
};
export default ({closeDialog}) => {
    return (
        <div>
            <h4>AWS Subscription Steps</h4>
            <FlowLine icon={<Isvg cacheGetRequests={true} src={require('../../../assets/svgs/1.svg')}/>} title={"Cloud Tiering"} info={"Clicking Continue redirects you to the AWS Marketplace."}/>
            <FlowLine icon={<Isvg cacheGetRequests={true} src={require('../../../assets/svgs/2.svg')}/>} title={"AWS Marketplace"} info="At the AWS Marketplace, you should click Continue, then Subscribe, and then Set Up Your Account."/>
            <FlowLine icon={<Isvg cacheGetRequests={true} src={require('../../../assets/svgs/3.svg')}/>} title={"AWS Marketplace"} info="You are then redirected back to Cloud Tiering where you must log in again to complete the subscription."/>
            <div className="video-instructions">
                <Isvg src={require('../../../assets/svgs/triangle-circle-icon.svg')} cacheGetRequests={true}/>
                <a href={SUBSCRIPTION_URL} target="_blank" rel="noopener noreferrer"> View Video Instructions </a>
            </div>
            <div className="buttons-container">
                <button className="button" onClick={() => {
                    window.open(process.env.REACT_APP_MP_URL);
                    closeDialog();
                }}>Continue</button>
                <button className="button grey float-right" onClick={closeDialog}>Cancel</button>
            </div>
        </div>

    )

};