import React from "react";
import LoadingBar from "./LoadingBar";
import classNames from "classnames";
import Isvg from 'react-inlinesvg';
require("./buttonWithError.scss");

export default (props) => {
    const {disable, children, submitting, error, attachElement, withCancel, className} = props;
    const buttonProps = Object.assign({}, props);
    delete buttonProps.disable;
    delete buttonProps.children;
    delete buttonProps.submitting;
    delete buttonProps.error;
    delete buttonProps.attachElement;
    delete buttonProps.withCancel;
    delete buttonProps.className;
    return (
            <div className={classNames("button-with-error-container", {"align-right": !!withCancel, "button-group": !!withCancel})}>
                {error && <div className={classNames({"bottom-error": !withCancel, "left-error": !!withCancel}, "is-visible", "with-button")}>
                    <div className="error-wrapper">
                        <Isvg className="error-icon" cacheGetRequests={true} src={require("./../../assets/svgs/error.svg")}/>
                        <span className="error-text">{error}</span>
                    </div>
                </div>}

                {submitting && <LoadingBar className="bottom"></LoadingBar>}
                <button disabled={submitting || disable} ref={attachElement} {...buttonProps} className={classNames(className, {"float-center": !withCancel, disabled: disable})}>
                    {children ? children : ""}
                </button>
                {withCancel && <button className="secondary button" type="button" onClick={() => withCancel()}>Cancel</button>}
            </div>
    )

}
