import {combineReducers} from 'redux';
import {connectRouter} from 'connected-react-router'
import authReducer from './authReducer'
import wizardReducer from './wizardReducer'
import routingReducer from './routingReducer'
import {reducer as formReducer} from 'redux-form';
import {apolloReducer} from "apollo-cache-redux";
import errorsReducer from './errorsReducer';


export default (history) => combineReducers({
    auth: authReducer,
    router: connectRouter(history),
    wizardReducer,
    appRouting: routingReducer,
    form: formReducer,
    apollo: apolloReducer,
    errors: errorsReducer
});
