import Adapter from 'enzyme-adapter-react-16';
import { configure, shallow, mount, render } from 'enzyme';
import {storeNoLogger, history} from './../src/store';
import {MockedProvider} from 'react-apollo/test-utils';
import { Provider } from 'react-redux';
import { BrowserRouter } from 'react-router-dom';
import React from 'react';

configure({ adapter: new Adapter() });

global.shallow = shallow;
global.render = render;
global.mount = mount;
global.store = storeNoLogger;
global.history = history;

global.initComponentEnzymeTest = (mockedQueariesArray, Component) => {
    return mount(
        <MockedProvider mocks={mockedQueariesArray} addTypename={false}>
            <BrowserRouter>
                <Provider store={storeNoLogger}>
                    <Component />
                </Provider>
            </BrowserRouter>
        </MockedProvider>);
};
