import {removeStartingAndEndingSlash,
    clearDoubleSlash,
} from "./../../src/utils/encoders";


describe("removeStartingAndEndingSlash", ()=> {
    test("should return blabla/blabla1", ()=> {
        expect(removeStartingAndEndingSlash("/blabla/blabla1")).toEqual("blabla/blabla1");
    });
    test("should return blabla/blabla1", ()=> {
        expect(removeStartingAndEndingSlash("/blabla/blabla1/")).toEqual("blabla/blabla1");
    });
    test("should return /blabla/blabla1", ()=> {
        expect(removeStartingAndEndingSlash("//blabla/blabla1/")).toEqual("/blabla/blabla1");
    });
    test("should return empty string", ()=> {
        expect(removeStartingAndEndingSlash("")).toEqual("");
    });
    test("should return /", ()=> {
        expect(removeStartingAndEndingSlash("/")).toEqual("/");
    });
    test("should return empty string", ()=> {
        //not sure about this behavior
        expect(removeStartingAndEndingSlash("//")).toEqual("");
    });

});


describe('clearDoubleSlash', function () {
    test('should clear double slash when exists', () => {
        expect(clearDoubleSlash("/blabla//blabla")).toEqual("/blabla/blabla");
    });
    test('should clear double slash when there is more than one', () => {
        expect(clearDoubleSlash("/blabla//blabla//")).toEqual("/blabla/blabla/");
    });
});

